# AGEAS
[![python 3.8](https://img.shields.io/badge/python-3.8-brightgreen)](https://www.python.org/)

**AGEAS (AutoML-based Genetic regulatory Element extrAction System)** is to find key genetic regulatory elements, including genes and regulatory pathways, in determining cellular phenotype.

# Workflow Summary
![Workflow](docs/images/summary.png)

# Install

[![shap-0.40.0](https://img.shields.io/badge/shap-0.40.0-red)](http://github.com/slundberg/shap)
[![scipy-1.8.0](https://img.shields.io/badge/scipy-1.8.0-orange)](https://github.com/scipy/scipy)
[![torch-1.11.0](https://img.shields.io/badge/torch-1.11.0-yellow)](https://github.com/pytorch/pytorch)
[![numpy-1.19.5](https://img.shields.io/badge/numpy-1.19.5-green)](https://github.com/numpy/numpy)
[![pandas-1.4.2](https://img.shields.io/badge/pandas-1.4.2-blue)](https://github.com/pandas-dev/pandas)
[![xgboost-1.6.0](https://img.shields.io/badge/xgboost-1.6.0-indigo)](https://github.com/dmlc/xgboost)
[![netgraph-4.4.1](https://img.shields.io/badge/netgraph-4.4.1-violet)](https://github.com/paulbrodersen/netgraph)
[![networkx-2.8.1](https://img.shields.io/badge/networkx-2.8.1-black)](https://github.com/networkx/networkx)
[![matplotlib-3.5.2](https://img.shields.io/badge/matplotlib-3.5.2-silver)](https://github.com/matplotlib/matplotlib)
[![sklearn-1.0.2](https://img.shields.io/badge/sklearn-1.0.2-gold)](https://github.com/scikit-learn/scikit-learn)


Ageas can be installed from [PyPI](https://pypi.org/project/Ageas/):

<pre>
pip install ageas

OR

git clone https://github.com/JackSSK/Ageas.git
cd Ageas
pip install .
</pre>


# Tutorial

Please visit [Documentation Page](https://JackSSK.github.io/Ageas/html/index.html) for detailed API documentations and examples

# Contributors

+ Jack Yu (JackSSK)
+ Masayoshi Nakamoto (nkmtmsys)



# Disclaimer

Further developed from [Odysseia Project](https://www.biorxiv.org/content/10.1101/2022.02.17.480852v1)
